hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bharat Viswanadham (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-14089) Shaded Hadoop client runtime includes non-shaded classes
Date Mon, 11 Sep 2017 22:27:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-14089?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16162144#comment-16162144
] 

Bharat Viswanadham commented on HADOOP-14089:
---------------------------------------------

Hi Andrew,
There is a problem with this patch, it is causing a failure due to maven enforce plugin rules.
ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce
(enforce-banned-dependencies) on project hadoop-client-check-test-invariants: Some Enforcer
rules have failed. Look above for specific messages explaining why the rule failed. ->
[Help 1]



[WARNING] Rule 0: org.apache.maven.plugins.enforcer.BanTransitiveDependencies failed with
message:
org.apache.hadoop:hadoop-client-check-test-invariants:pom:3.1.0-SNAPSHOT
   org.apache.hadoop:hadoop-client-minicluster:jar:3.1.0-SNAPSHOT:compile has transitive dependencies:
      junit:junit:jar:4.11:runtime [excluded]
      org.mockito:mockito-all:jar:1.8.5:compile



> Shaded Hadoop client runtime includes non-shaded classes
> --------------------------------------------------------
>
>                 Key: HADOOP-14089
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14089
>             Project: Hadoop Common
>          Issue Type: Sub-task
>    Affects Versions: 3.0.0-alpha2
>            Reporter: David Phillips
>            Assignee: Sean Busbey
>            Priority: Critical
>         Attachments: HADOOP-14089.WIP.0.patch, HADOOP-14089.WIP.1.patch
>
>
> The jar includes things like {{assets}}, {{okio}}, {{javax/annotation}}, {{javax/ws}},
{{mozilla}}, etc.
> An easy way to verify this is to look at the contents of the jar:
> {code}
> jar tf hadoop-client-runtime-xxx.jar | sort | grep -v '^org/apache/hadoop'
> {code}
> For standard dependencies, such as the JSR 305 {{javax.annotation}} or JAX-RS {{javax.ws}},
it makes sense for those to be normal dependencies in the POM -- they are standard, so version
conflicts shouldn't be a problem. The JSR 305 annotations can be {{<optional>true</optional>}}
since they aren't needed at runtime (this is what Guava does).



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message